# Generated by Django 4.2.13 on 2024-10-06 20:31

from django.db import migrations, models
import django.db.models.deletion
import papertrail.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Entry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_type', models.CharField(db_index=True, max_length=50)),
                ('message', models.TextField()),
                ('data', models.JSONField(null=True)),
                ('timestamp', models.DateTimeField(db_index=True)),
                ('external_key', models.CharField(db_index=True, max_length=255, null=True)),
            ],
            options={
                'verbose_name_plural': 'entries',
                'ordering': ['-timestamp'],
                'get_latest_by': 'timestamp',
            },
            bases=(models.Model, papertrail.models.ModelWithRelatedObjectsMixin),
        ),
        migrations.CreateModel(
            name='EntryRelatedObject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('relation_name', models.CharField(db_index=True, max_length=100)),
                ('related_id', models.PositiveIntegerField(db_index=True)),
                ('entry', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='targets', to='papertrail.entry')),
                ('related_content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
